<?php
  //database connection
  include 'core/conn.php';

  //Getting transaction data
  $Tender =  $_GET["Tender"];
  $Branch =  $_GET["Branch"];
  $Comment =  $_GET["FullName"];
  $UserID =  $_GET["UserID"];
  $Region =  $_GET["Region"];
  $PhoneMessage =  $_GET["PhoneMessage"];
  $MpesaCodeMessage =  $_GET["MpesaCodeMessage"];
  $AmountMessage =  $_GET["AmountMessage"];

  //Getting StoreID
  $result1 = $db->query("SELECT * FROM `inventorylocation`i WHERE i.`Description` RLIKE '$Branch'");
  $row = $result1->fetch_assoc();
  $StoreID = $row["ID"];

  //Get totals from cart
  $result2 = $db->query("SELECT SUM(c.`Quantity`*c.`Price`) AS Total, ROUND(((c.`Price`*(t.`Percentage`/100))*c.`Quantity`),2) AS Tax FROM `cart`c JOIN `item`i ON i.`ID` = c.`ItemID` JOIN `tax`t ON t.`ID` = i.`TaxID` WHERE c.`UserId` = '$UserID' GROUP BY  c.`UserId`");
  $row1 = $result2->fetch_assoc();
  $Total = $row1["Total"];
  $Tax = $row1["Tax"];
  $shippingAmnt = $AmountMessage - $Total;

  if ($Tender == "CASH") {

    //1st order posting
    $db->query("INSERT INTO `orders` (`StoreID`,`Comment`, `CustomerID`, `Tax`, `Total`, `LastUpdated`,`TYPE`) VALUES ('$StoreID','$Comment','4230', '$Tax', '$Total',NOW(),3)");
    $OrderID1 = $db->insert_id;

    //Insert Items
    $db->query("INSERT INTO `orderentry` (`StoreID`, `OrderID`, `ItemID`, `FullPrice`, `Price`, `Cost`, `QuantityOnOrder`, `LastUpdated`, `Comment`, `Description`) SELECT $StoreID,$OrderID1,i.`ID`,i.`Price`,c.`Price`,i.`Cost`,c.`Quantity`,NOW(),'$Comment',i.`Description` FROM `cart`c JOIN `item`i ON i.`ID` = c.`ItemID` WHERE c.`UserId` = '$UserID'");

    //Insert Shipping fees
    $db->query("INSERT INTO `orderentry` (`StoreID`, `OrderID`, `ItemID`, `FullPrice`, `Price`, `Cost`, `QuantityOnOrder`, `LastUpdated`, `Comment`, `Description`) SELECT $StoreID,$OrderID1,i.`ID`,i.`Price`,i.`Price`,i.`Cost`,1,NOW(),'$Comment',i.`Description` FROM `item`i WHERE i.`ItemLookupCode` = '$Region'");

    //2st order posting
    $db->query("INSERT INTO `orders_ecomm` (`StoreID`,`OrderID`,`Comment`, `CustomerID`,`UserID`,`Tax`, `Total`, `LastUpdated`,`TYPE`,`TenderType`) VALUES ('$StoreID','$OrderID1','$Comment','4230','$UserID','$Tax', '$Total',NOW(),3,'$Tender')");
    $OrderID2 = $db->insert_id;

    $db->query("INSERT INTO `orderentry_ecomm` (`StoreID`, `OrderID`, `ItemID`, `FullPrice`, `Price`, `Cost`, `QuantityOnOrder`, `LastUpdated`, `Comment`, `Description`) SELECT $StoreID,$OrderID2,i.`ID`,i.`Price`,c.`Price`,i.`Cost`,c.`Quantity`,NOW(),'$Comment',i.`Description` FROM `cart`c JOIN `item`i ON i.`ID` = c.`ItemID` WHERE c.`UserId` = '$UserID'");

    //Delete cart
    $db->query("DELETE FROM `cart` WHERE `UserId` = '$UserID'");

    exit ('[{"Message":"Order successfully placed."}]');
  }

  if ($Tender == "MPESA") {

    //1st order posting
    $db->query("INSERT INTO `orders` (`StoreID`,`Comment`, `CustomerID`, `Tax`, `Total`, `LastUpdated`,`TYPE`) VALUES ('$StoreID','$Comment','4230', '$Tax', '$Total',NOW(),3)");
    $OrderID1 = $db->insert_id;

    //Insert Items
    $db->query("INSERT INTO `orderentry` (`StoreID`, `OrderID`, `ItemID`, `FullPrice`, `Price`, `Cost`, `QuantityOnOrder`, `LastUpdated`, `Comment`, `Description`) SELECT $StoreID,$OrderID1,i.`ID`,i.`Price`,c.`Price`,i.`Cost`,c.`Quantity`,NOW(),'$Comment',i.`Description` FROM `cart`c JOIN `item`i ON i.`ID` = c.`ItemID` WHERE c.`UserId` = '$UserID'");

    //Insert Shipping fees
    $db->query("INSERT INTO `orderentry` (`StoreID`, `OrderID`, `ItemID`, `FullPrice`, `Price`, `Cost`, `QuantityOnOrder`, `LastUpdated`, `Comment`, `Description`) SELECT $StoreID,$OrderID1,i.`ID`,i.`Price`,i.`Price`,i.`Cost`,1,NOW(),'$Comment',i.`Description` FROM `item`i WHERE i.`ItemLookupCode` = '$Region'");

    //2st order posting
    $db->query("INSERT INTO `orders_ecomm` (`StoreID`,`OrderID`,`Comment`, `CustomerID`,`UserID`,`Tax`, `Total`, `LastUpdated`,`TYPE`,`PhoneNumber`,`TenderType`,`PayRef`,`AmountPaid`) VALUES ('$StoreID','$OrderID1','$Comment','4230','$UserID','$Tax', '$Total',NOW(),3,'$PhoneMessage','$Tender','$MpesaCodeMessage','$AmountMessage')");
    $OrderID2 = $db->insert_id;

    $db->query("INSERT INTO `orderentry_ecomm` (`StoreID`, `OrderID`, `ItemID`, `FullPrice`, `Price`, `Cost`, `QuantityOnOrder`, `LastUpdated`, `Comment`, `Description`) SELECT $StoreID,$OrderID2,i.`ID`,i.`Price`,c.`Price`,i.`Cost`,c.`Quantity`,NOW(),'$Comment',i.`Description` FROM `cart`c JOIN `item`i ON i.`ID` = c.`ItemID` WHERE c.`UserId` = '$UserID'");

    //Delete cart
    $db->query("DELETE FROM `cart` WHERE `UserId` = '$UserID'");

    //Update mpesa record
    $db->query("UPDATE `payments_new` SET `Processed` = 1, `orderid` = '$OrderID2', `branchid` = '$StoreID', `shippingFee` = '$shippingAmnt' WHERE `transaction_id` = '$MpesaCodeMessage' AND `phone_number` = '$PhoneMessage' ");

    exit ('[{"Message":"Order successfully placed."}]');
  }



?>
